using System;
using System.Collections.Generic;
using System.Text;

using System.Diagnostics;

namespace DebugDemo
{
	class Department
	{
		private int _id;
		private string _name;

		public Department(int id, string name)
		{
			_id = id;
			_name = name;
		}

		//this attribute hides the Name property
		[DebuggerBrowsable(DebuggerBrowsableState.Never)]
		public string Name
		{
			get
			{
				return _name;
			}
			set
			{
				_name = value;
			}
		}

		public void New()
		{
			throw new System.NotImplementedException();
		}

		public string ToString()
		{
			return "id:" + _id + ",Name:" + _name;
		}
	}
}
