using System;
using System.Collections;
using System.Collections.Generic;
using System.Text;
using System.Drawing;
using System.IO;
using System.Data;
using System.Diagnostics;

namespace DebugDemo
{
	class Program
	{
		static void Main(string[] args)
		{
			double real = System.Math.Sqrt(934);
			real = Double.Parse("3.34");

			//Employee: Complex user data type
			Address address = new Address("Xiaoyun road", null, "Beijing", "12345", "100000");
			Department department = new Department(34, "MSDN Webcast");
			Debug.Print(department.ToString());
			Employee employee = new Employee(7234, "Zhongkai", "Fu", "zhongkaifu@msdnsupport.com", DateTime.Now, address, department, Image.FromFile(@"demo1.jpg"));

			//Hashtable: Hierarchical complex .NET Framework type
			Hashtable table = new Hashtable();
			employee.FirstName = "Bill";
			table["x"] = "y";
			table[9] = "twenty";


			StreamReader srText = File.OpenText("foo.txt");
			string text = srText.ReadToEnd();
			srText.Close();

			StreamReader srXML = File.OpenText("foo.xml");
			string xml = srXML.ReadToEnd();
			srXML.Close();

			StreamReader srHTML = File.OpenText("foo.htm");
			string html = srHTML.ReadToEnd();
			srHTML.Close();

			NorthwindDataSet northwindDataSet = new NorthwindDataSet();
			NorthwindDataSetTableAdapters.ProductsTableAdapter adapter = new NorthwindDataSetTableAdapters.ProductsTableAdapter();

			adapter.Fill(northwindDataSet.Products);

			Image jpeg = Image.FromFile(@"demo1.jpg");


		}
	}
}
