using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;

using System.Diagnostics;

[assembly: DebuggerVisualizer(typeof(ImageVisualizer.DebuggerSide), Target = typeof(Image), Description = "Image Visualizer")]

namespace ImageVisualizer
{
	
	public class DebuggerSide : Microsoft.VisualStudio.DebuggerVisualizers.DialogDebuggerVisualizer
	{
		protected override void Show(Microsoft.VisualStudio.DebuggerVisualizers.IDialogVisualizerService windowService, Microsoft.VisualStudio.DebuggerVisualizers.IVisualizerObjectProvider objectProvider)
		{
			if (windowService != null)
			{
				Image image = (Image)objectProvider.GetObject();

				ImageForm imageForm = new ImageForm(image);

				imageForm.ShowDialog();
			}
		}

	}
}
