using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;

using System.Diagnostics;

namespace DebugDemo
{
	[DebuggerDisplay("{_firstName} {_lastName}")]
	[DebuggerTypeProxy(typeof(EmployeeProxy))]
	class Employee
	{
		private Address _address;
		private Department _department;
		private string _email;
		private string _firstName;
		private DateTime _hireData;
		private string _field;
		private int _id;
		private string _lastName;
		private Image _photo;

		public Employee(int id, string firstName, string lastName, string email, DateTime hireData, Address address, Department department, Image photo)
		{
			_id = id;
			_firstName = firstName;
			_lastName = lastName;
			_email = email;
			_hireData = hireData;
			_address = address;
			_department = department;
			_photo = photo;
		}

		public Department Department
		{
			get
			{
				return _department;
			}
			set
			{
				_department = value;
			}
		}

		public string FirstName
		{
			get
			{
				return _firstName;
			}
			set
			{
				_firstName = value;
			}
		}

		public int ID
		{
			get
			{
				return _id;
			}
			set
			{
			}
		}

		public string LastName
		{
			get
			{
				return _lastName;
			}
			set
			{
				_lastName = value;
			}
		}
	}
}
